<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_oauth2', language 'fi', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accountexists'] = 'Käyttäjä, jolla on tämä käyttäjätunnus, löytyy jo sivustolta. Jos tämä on sinun tilisi, kirjaudu sisään käyttäen tunnustasi ja salasanaasi ja lisää se linkitettynä tilinä asetuksissasi.';
$string['alreadylinked'] = 'Tämä ulkoinen tili on jo linkitetty käyttäjätunnukseen tällä sivustolla';
$string['auth_oauth2description'] = 'OAuth 2 -standardiin perustuva tunnistautuminen';
$string['auth_oauth2settings'] = 'OAuth 2 -autentikaatioasetukset';
$string['confirmaccountemail'] = 'Hei {$a->fullname},

Uusi käyttäjätilipyyntö on tehty \'{$a->sitename}\'
käyttäen sinun sähköpostiosoitettasi..

Vahvistaaksesi uuden tilisi luonnin, siirry osoitteeseen:
{$a->link}

Suurin osa sähköpostiohjelmista näyttää osoitteen sinisenä, klikattavana linkkinä. Jos näin ei ole, kopioi linkki ja liitä se selaimen osoiteriville.

Ongelmatilanteissa ole yhteydessä hallinnoijaan:
{$a->admin}';
$string['confirmaccountemailsubject'] = '{$a}: tilin tiedot';
$string['confirmationinvalid'] = 'Vahvistuslinkki ei kelpaa tai se on vanhentunut. Ole hyvä ja aloita kirjautumisprosessi uudelleen, jotta voit generoida uuden vahvistussähköpostin.';
$string['confirmationpending'] = 'Tämä tili odottaa sähköpostivahvistusta.';
$string['confirmlinkedloginemail'] = 'Hei {$a->fullname},

On tehty pyyntö linkittää {$a->issuername} kirjautumistiedot
{$a->linkedemail} tunnukseesi sivustolla\'{$a->sitename}\' käyttäen sinun sähköpostiosoitettasi.

Jos haluat vahvistaa pyynnön ja linkittää kirjautumistiedot, mene osoitteeseen:

{$a->link}

Suurin osa sähköpostiohjelmista näyttää osoitteen sinisenä, klikattavana linkkinä. Jos näin ei ole, kopioi linkki ja liitä se selaimen osoiteriville.

Ongelmatilanteissa ole yhteydessä hallinnoijaan:
{$a->admin}';
$string['confirmlinkedloginemailsubject'] = '{$a}: linkitetyn kirjautumisen tiedot';
$string['createaccountswarning'] = 'Tämä autentikointilisäosa antaa käyttäjille mahdollisuuden luoda tilejä sivustollesi. Saatat haluta ottaa käyttöön asetuksen "authpreventaccountcreation", jos käytät tätä lisäosaa.';
$string['createnewlinkedlogin'] = 'Yhdistä uusi tili ({$a})';
$string['emailconfirmlink'] = 'Yhdistä tilisi';
$string['emailconfirmlinksent'] = '<p>Tällä sähköpostiosoitteella löytyi jo tili mutta sitä ei ole vielä yhdistetty.</p>
   <p>Tilit tulee yhdistää ennenkuin voit kirjautua sisään.</p>
   <p>Sinulle on lähetetty sähköposti osoitteeseen <b>{$a}</b>.</p>
   <p>Se sisältää yksinkertaiset ohjeet tilien yhdistämiseen.</p>
   <p>Jos kohtaat ongelmia, ole yhteydessä hallinnoijaan.</p>';
$string['emailpasswordchangeinfo'] = 'Hi {$a->firstname},

Joku (luultavasti sinä) on pyytänyt uutta salasanaa käyttäjtunnuksellesi sivustolla \'{$a->sitename}\'.

Salasanaa ei voida kuitenkaan vaihtaa koska käytät tunnustasi toisella sivustolla kirjautumiseen.

Ole hyvä ja kirjaudu kuten aiemminkin käyttäen kirjautumissivun linkkiä

{$a->admin}';
$string['emailpasswordchangeinfosubject'] = '{$a}: Salasanan uusimisen tiedot';
$string['info'] = 'Ulkoinen käyttäjätili';
$string['issuer'] = 'OAuth 2 -palvelu';
$string['issuernologin'] = 'Tällä myöntäjällä ei voi kirjautua';
$string['linkedlogins'] = 'Linkitetyt tilit';
$string['linkedloginshelp'] = 'Apua linkitettyjen tilien kanssa';
$string['loginerror_authenticationfailed'] = 'Autentikaatioprosessi epäonnistui.';
$string['loginerror_cannotcreateaccounts'] = 'Käyttäjätiliä, joka sisältäisi sähköpostiosoitteesi, ei löytynyt.';
$string['loginerror_invaliddomain'] = 'Tämä sähköpostiosoite ei ole sallittu tällä sivustolla.';
$string['loginerror_nouserinfo'] = 'Käyttäjää ei löytynyt. OAuth 2 -pavelun konfiguroinnissa saattaa olla virhe.';
$string['loginerror_userincomplete'] = 'Palautetuissa tiedoissa ei ole tunnusta ja sähköpostiosoitetta. OAuth 2 -pavelun konfiguroinnissa saattaa olla virhe.';
$string['noissuersavailable'] = 'OAuth 2 -palvelut eivät salli tilien linkitystä';
$string['notenabled'] = 'OAuth 2-autentikaatiolisäosa ei ole käytössä';
$string['notloggedindebug'] = 'Kirjautumisyritys epäonnistui. Syy: {$a}';
$string['notwhileloggedinas'] = 'Linkitettyjä tilejä ei voi muokata kun toisella ollaan kirjaututeena.';
$string['oauth2:managelinkedlogins'] = 'Hallinnoi omia linkitettyjä tilejä';
$string['plugindescription'] = 'Tämä auntentikaatiolisäosa listaa kaikki henkilöllisyyspalvelut kirjautumissivulta. Palvelun valinta mahdollistaa käyttäjien kirjautumisen käyttäen kyseistä OAuth 2 -palvelua.';
$string['pluginname'] = 'OAuth 2';
