<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_oauth2', language 'fi', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['authconnected'] = 'Järjestelmätili on nyt käytettävissä offline-tilassa';
$string['authnotconnected'] = 'Järjestelmätili ei ole käytettävissä offline-tilassa';
$string['configured'] = 'Konfiguroitu';
$string['configuredstatus'] = 'Konfiguroitu';
$string['connectsystemaccount'] = 'Yhdistä järjestelmätiliin';
$string['createfromtemplate'] = 'Luo OAuth 2 -palvelu templaatista';
$string['createnewendpoint'] = 'Luo uusi päätepiste myöntäjälle "{$a}"';
$string['createnewfacebookissuer'] = 'Luo uusi Facebook-palvelu';
$string['createnewgoogleissuer'] = 'Luo uusi Google-palvelu';
$string['createnewissuer'] = 'Luo uusi mukautettu palvelu';
$string['createnewmicrosoftissuer'] = 'Luo uusi Microsoft-palvelu';
$string['createnewnextcloudissuer'] = 'Luo uusi Nextcloud-palvelu';
$string['createnewuserfieldmapping'] = 'Luo uusi käyttäjätietokenttä myöntäjälle"{$a}"';
$string['deleteconfirm'] = 'Oletko varma, että haluat poistaa identiteetti-myöntäjän "{$a}"? Mahdolliset lisäosat, jotka perustuvat tähän myöntäjään, lakkaavat toimimasta.';
$string['deleteendpointconfirm'] = 'Oletko varma, että haluat poistaa päätepisteen "{$a->endpoint}" myöntäjältä "{$a->issuer}"? Mahdolliset lisäosat, jotka perustuvat tähän myöntäjään, lakkaavat toimimasta.';
$string['deleteuserfieldmappingconfirm'] = 'Oletko varma, että haluatg poistaa käyttäjätietokentän yhdistämisen myöntäjältä "{$a}"?';
$string['discovered'] = 'Palveluhaku onnistui';
$string['discoverystatus'] = 'Haku';
$string['editendpoint'] = 'Muokkaa päätepistettä: {$a->endpoint} myöntäjälle {$a->issuer}';
$string['editendpoints'] = 'Määrittele päätepisteet';
$string['editissuer'] = 'Muokkaa indentiteettimyöntäjää: {$a}';
$string['edituserfieldmapping'] = 'Muokkaa käyttäjätietokentän yhdistämistä myöntäjälle: {$a}';
$string['edituserfieldmappings'] = 'Hallinnoi käyttäjätietokenttien yhdistämistä';
$string['endpointdeleted'] = 'Päätepiste poistettiin';
$string['endpointname'] = 'Nimi';
$string['endpointname_help'] = 'Termi, jolla haetaan tätä päätepistettä. Termin tulee loppua "_endpoint".';
$string['endpointsforissuer'] = 'Päätepisteet myöntäjälle:  {$a}';
$string['endpointurl'] = 'URL';
$string['issueralloweddomains'] = 'Kirjautumis-domainit';
$string['issueralloweddomains_help'] = 'Jos tämä asetus on käytössä, tarvitaan pilkuilla eroteltu lista domaineista, joihin kirjautumiset rajataan kun käytetään tätä tarjoajaa.';
$string['issuerclientid'] = 'Client ID';
$string['issuerclientsecret'] = 'Client-salasana';
$string['issuerdeleted'] = 'Henkilöllisyysmyöntäjä poistettu';
$string['issuerdisabled'] = 'Henkilöllisyysmyöntäjä poist käytöstä';
$string['issuerenabled'] = 'Henkilöllisyysmyöntäjä käytössä';
$string['issuerimage'] = 'Logon URL';
$string['issuerimage_help'] = 'Tällel myöntäjälle näytettävän logon URL. Voidaan näyttää kirjautumissivulla.';
$string['issuerloginparams'] = 'Lisäparametrit mukana kirjautumispyynnössä.';
$string['issuerloginparams_help'] = 'Jotkin järjestelmät vaativat lisäparametrejä mukaan kirjautumispyyntöön lukeakseen käyttäjän perusprofiilitiedot.';
$string['issuerloginparamsoffline'] = 'Lisäparametrit mukana kirjautumispyynnössä offline-käyttöä varten.';
$string['issuername'] = 'Nimi';
$string['issuername_help'] = 'Henkilöllisyysmyöntäjän nimi. Voidaan näyttää kirjautumissivulla.';
$string['issuerrequireconfirmation'] = 'Vaadi sähköpostivarmennus';
$string['issuerrequireconfirmation_help'] = 'Vaadi kaikilta käyttäjiltä sähköpostiosoitteen vahvistus ennen kuin he voivat kirjautua käyttäen OAuth:a. Tämä koskee uusia tunnuksia, jotka on luotu kirjautumisprosessissa tai kun olemassaoleva Totara-tunnus yhdistetään OAuth:in yhteneväisten sähköpostiosoitteiden kautta.';
$string['issuers'] = 'Myöntäjät';
$string['issuersetup'] = 'OAuth 2 -palveluiden konfiguroinnin yksityiskohtaiset ohjeet.';
$string['issuersetuptype'] = '{$a} OAuth 2 -palveluiden asennuksen yksityiskohtaiset ohjeet.';
$string['issuershowonloginpage'] = 'Näytä kirjautumissivulla';
$string['issuershowonloginpage_help'] = 'Jos OAuth 2 -lisäosa on käytössä, tämä kirjautumismenetelmä listataan kirjautumissivulla, jota käyttäjät voivat käyttää.';
$string['loginissuer'] = 'Salli kirjautuminen';
$string['notconfigured'] = 'Ei käytössä';
$string['notdiscovered'] = 'Palveluhaku ei onnistunut';
$string['notloginissuer'] = 'Älä salli kirjautumista';
$string['pluginname'] = 'OAuth 2  -palvelut';
$string['savechanges'] = 'Tallenna muutokset';
$string['serviceshelp'] = 'Palveluntarjoajan asennusohjeet.';
$string['systemaccountconnected'] = 'Järjestelmätili yhdistetty';
$string['systemaccountnotconnected'] = 'Järjestelmätili ei ole yhdistetty';
$string['systemauthstatus'] = 'Järjestelmätili yhdistetty';
$string['userfieldexternalfield'] = 'Ulkoinsn kentän nimi';
$string['userfieldexternalfield_error'] = 'Tämä kenttä ei voi sisältää HTML-koodia.';
$string['userfieldexternalfield_help'] = 'Kentän nimi, jonka ulkoinen OAuth -järjestelmä antaa.';
$string['userfieldinternalfield'] = 'Sisäisen kentän nimi';
$string['userfieldinternalfield_help'] = 'Käyttäjätietokentän nimi, joka tulee asettaa ulkoisesta kentästä.';
$string['userfieldmappingdeleted'] = 'Käyttäjäkenttien kartoitus poistettiin';
$string['userfieldmappingsforissuer'] = 'Käyttäjäkenttien kartoitus myöntäjälle: {$a}';
